Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins
[Java] Interface MavenRepositoryHandlerConvention

    public interface MavenRepositoryHandlerConvention

Allows maven repositories for publishing artifacts to be defined. The maven plugin mixes-in this interface to the RepositoryHandler associated with each task of type Upload.

Field Summary
`java.lang.String` | `DEFAULT_MAVEN_DEPLOYER_NAME`
`java.lang.String` | `DEFAULT_MAVEN_INSTALLER_NAME`

Method Summary
`GroovyMavenDeployer` | `mavenDeployer()`
`GroovyMavenDeployer` | `mavenDeployer(groovy.lang.Closure configureClosure)`
`GroovyMavenDeployer` | `mavenDeployer(java.util.Map args)` Adds a repository for publishing to a Maven repository.
`GroovyMavenDeployer` | `mavenDeployer(java.util.Map args, groovy.lang.Closure configureClosure)` Behaves the same way as mavenDeployer(java.util.Map).
`MavenResolver` | `mavenInstaller()`
`MavenResolver` | `mavenInstaller(groovy.lang.Closure configureClosure)`
`MavenResolver` | `mavenInstaller(java.util.Map args)` Adds a repository for installing to a local Maven cache.
`MavenResolver` | `mavenInstaller(java.util.Map args, groovy.lang.Closure configureClosure)` Behaves the same way as mavenInstaller(java.util.Map).

Field Detail

### DEFAULT_MAVEN_DEPLOYER_NAME

    public java.lang.String DEFAULT_MAVEN_DEPLOYER_NAME

### DEFAULT_MAVEN_INSTALLER_NAME

    public java.lang.String DEFAULT_MAVEN_INSTALLER_NAME

Method Detail

### mavenDeployer

    public GroovyMavenDeployer mavenDeployer()

### mavenDeployer

    public GroovyMavenDeployer mavenDeployer(groovy.lang.Closure configureClosure)

### mavenDeployer

    public GroovyMavenDeployer mavenDeployer(java.util.Map args)

  Adds a repository for publishing to a Maven repository. This repository can not be used for reading from a Maven repository. The following parameter are accepted as keys for the map:

  Key | Description of Associated Value
  --- | ---
  `name` | (optional) The name of the repository. The default is mavenDeployer-{SOME_ID}. The name is used in the console output, to point to information related to a particular repository. A name must be unique amongst a repository group.

  Parameters:
    `args` - The argument to create the repository
  Returns:
    The added repository
  See Also:
    mavenDeployer(java.util.Map, groovy.lang.Closure)

### mavenDeployer

    public GroovyMavenDeployer mavenDeployer(java.util.Map args, groovy.lang.Closure configureClosure)

  Behaves the same way as mavenDeployer(java.util.Map). Additionally a closure can be passed to further configure the added repository.
  Parameters:
    `args` - The argument to create the repository
    configureClosure
  Returns:
    The added repository

### mavenInstaller

    public MavenResolver mavenInstaller()

### mavenInstaller

    public MavenResolver mavenInstaller(groovy.lang.Closure configureClosure)

### mavenInstaller

    public MavenResolver mavenInstaller(java.util.Map args)

  Adds a repository for installing to a local Maven cache. This repository can not be used for reading. The following parameter are accepted as keys for the map:

  Key | Description of Associated Value
  --- | ---
  `name` | (optional) The name of the repository. The default is mavenInstaller-{SOME_ID}. The name is used in the console output, to point to information related to a particular repository. A name must be unique amongst a repository group.

  Parameters:
    `args` - The argument to create the repository
  Returns:
    The added repository
  See Also:
    mavenInstaller(java.util.Map, groovy.lang.Closure) (java.util.Map, groovy.lang.Closure)

### mavenInstaller

    public MavenResolver mavenInstaller(java.util.Map args, groovy.lang.Closure configureClosure)

  Behaves the same way as mavenInstaller(java.util.Map). Additionally a closure can be passed to further configure the added repository.
  Parameters:
    `args` - The argument to create the repository
  Returns:
    The added repository

Groovy Documentation